package io.systemv.apps.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import io.systemv.apps.service.UsersService;
import io.systemv.apps.vo.Users;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@RestController
public class userRestController {
	
	@Autowired
	private UsersService usersService;

	@RequestMapping("/hello")
    public String hello() {
    	return "hello";
    }
	
	@RequestMapping("/users")
	public Users getUsers() {
		
		Users users = usersService.getUsers(1);
		logger.info("Users info: {}", users);
		
		return users;
		
	}
	
}
